## ros-indigo-rail-recognition 1.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_recognition)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  cv_bridge
  geometry_msgs
  graspdb
  pcl_conversions
  pcl_ros
  rail_manipulation_msgs
  rail_segmentation
  rail_pick_and_place_msgs
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  tf2
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(metric_trainer
  nodes/metric_trainer.cpp
  src/MetricTrainer.cpp
  src/PointCloudMetrics.cpp
)
add_executable(model_generator
  nodes/model_generator.cpp
  src/ModelGenerator.cpp
  src/PCLGraspModel.cpp
  src/PointCloudMetrics.cpp
)
add_executable(object_recognizer
  nodes/object_recognizer.cpp
  src/ObjectRecognizer.cpp
  src/PCLGraspModel.cpp
  src/PointCloudMetrics.cpp
  src/PointCloudRecognizer.cpp
)
add_executable(object_recognition_listener
  nodes/object_recognition_listener.cpp
  src/ObjectRecognitionListener.cpp
  src/PCLGraspModel.cpp
  src/PointCloudMetrics.cpp
  src/PointCloudRecognizer.cpp
  src/ImageRecognizer.cpp
)
add_executable(rail_grasp_model_retriever
  nodes/rail_grasp_model_retriever.cpp
  src/GraspModelRetriever.cpp
)
add_executable(train_image_recognizer
  nodes/train_image_recognizer.cpp
  src/ImageRecognizer.cpp
)
add_executable(test_image_recognizer
  nodes/test_image_recognizer.cpp
  src/ImageRecognizer.cpp
)
add_executable(collect_images
  nodes/collect_images.cpp
  src/ImageRecognizer.cpp
)
add_executable(save_image_recognizer_features
  nodes/save_image_recognizer_features.cpp
  src/ImageRecognizer.cpp
)

## Add message build dependencies (needed for source build)
add_dependencies(metric_trainer
  rail_pick_and_place_msgs_generate_messages_cpp
)
add_dependencies(model_generator
  rail_pick_and_place_msgs_generate_messages_cpp
)
add_dependencies(object_recognizer
  rail_manipulation_msgs_generate_messages_cpp
)
add_dependencies(object_recognition_listener
  rail_manipulation_msgs_generate_messages_cpp
)
add_dependencies(rail_grasp_model_retriever
  rail_pick_and_place_msgs_generate_messages_cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(metric_trainer
  ${catkin_LIBRARIES}
)
target_link_libraries(model_generator
  ${catkin_LIBRARIES}
)
target_link_libraries(object_recognizer
 ${catkin_LIBRARIES}
)
target_link_libraries(object_recognition_listener
 ${catkin_LIBRARIES}
 ${OpenCV_LIBRARIES}
)
target_link_libraries(rail_grasp_model_retriever
 ${catkin_LIBRARIES}
)
target_link_libraries(train_image_recognizer
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)
target_link_libraries(test_image_recognizer
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)
target_link_libraries(collect_images
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)
target_link_libraries(save_image_recognizer_features
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS
  collect_images
  metric_trainer
  model_generator
  object_recognizer
  object_recognition_listener
  rail_grasp_model_retriever
  save_image_recognizer_features
  train_image_recognizer
  test_image_recognizer
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy data files
install(DIRECTORY data/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/data
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
)

=== debian/changelog ===
ros-indigo-rail-recognition (1.1.9-0trusty) trusty; urgency=high

  * Removed opencv_nonfree features
  * Update package.xml
  * Updates to suppor the Kinect2, switched to more minimal object set for demonstration purposes
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-rail-recognition (1.1.8-0trusty) trusty; urgency=high

  * Merge branch 'develop' of github.com:WPI-RAIL/rail_pick_and_place into develop
  * 2D image recognition added
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.7-0trusty) trusty; urgency=high

  * Calculated new orientation of combined recognized objects
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.6-0trusty) trusty; urgency=high

  * added cleared flag
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.5-0trusty) trusty; urgency=high

  * Bugfix for running recognition on empty object lists
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.4-0trusty) trusty; urgency=high

  * weighted average of colors
  * added doxygen
  * bug fixes in point cloud merging
  * Added remove object functionality for the recognized object list
  * Combined close together objects of the same type into single objects
  * Contributors: David Kent, Russell Toris
  * changelog updated
  * uses PCL models for generation
  * cleanup of new stuff
  * Recognition first performs a color check
  * Recognition tuning
  * added avg functions for color
  * removed metric pre-compute
  * stores metrics
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.3-0trusty) trusty; urgency=high

  * uses PCL models for generation
  * cleanup of new stuff
  * Recognition first performs a color check
  * Recognition tuning
  * added avg functions for color
  * removed metric pre-compute
  * stores metrics
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.2-0trusty) trusty; urgency=high

  * removed the swap check from recognition
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_pick_and_place into develop
  * New decision tree for object models
  * docs finished
  * more docs
  * new metric trainier
  * Metric trainer filters point clouds first
  * bug removed
  * metric trainer addition
  * Added metric data collection for decision tree training
  * random selection added
  * fixes segfaults in graph search
  * graph search used
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.1-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.1.0-0trusty) trusty; urgency=high

  * new launch files
  * grasp model retriever added
  * general cleanup
  * refactor of model generator
  * major refactor of model generation
  * adds vector for search
  * more refactoring
  * begin refactor of metrics
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.0.4-0trusty) trusty; urgency=high

  * orientation added
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.0.3-0trusty) trusty; urgency=high

  * debug is now latched
  * checks for empty point cloud
  * starting to cleanup model generator
  * fix in launch
  * refactor of point cloud recognizer
  * added select all to database
  * repub of recognized objects addedg
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 30 Mar 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.0.1-0trusty) trusty; urgency=high

  * Removed some old code
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-recognition (1.0.0-0trusty) trusty; urgency=high

  * object recognition listener now checks if segmentation passes in updated information vs. new object information
  * Moved actions from recognition to msgs
  * Removed unused messages
  * Message generation dependency
  * Removed some unused imports
  * Added a recognition listener that allows for shared recognition of a list of detected objects
  * Removed some unused stuff from recognition
  * Updated rail recognition to use the database, fixed a point cloud transform bug in grasp collection
  * Updates to rviz panels
  * Switched registration to use the graspdb, fixed point cloud selection in grasp collector
  * Added a vision panel that can handle segmentation and recognition, minor documentation updates to other panels
  * Moved rviz panels to rail_pick_and_place_tools, added an rviz panel for grasp collection
  * Updated grasp requests to use stamped poses instead of base_footprint frame poses
  * Switched model generation from a service to an action, and updated the rviz plugin so that it does not freeze during the model generation call
  * Updated to reflect moving some messages from rail_segmentation to rail_manipulation_messages
  * rviz plugin launch/install, new models, and some general cleanup
  * Rviz plugin updates
  * Initial rviz plugin for model generation
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-recognition (0.0.2-0trusty) trusty; urgency=high

  * catkin cleanup
  * Updated metapackage


=== debian/control ===
Source: ros-indigo-rail-recognition
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-graspdb, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-rail-segmentation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf2
Homepage: http://ros.org/wiki/rail_recognition
Standards-Version: 3.9.2

Package: ros-indigo-rail-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-graspdb, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-rail-segmentation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf2
Description: Construction and Use of a Recognition Database for Grasping Purposes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-recognition//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
